%global forgeurl https://github.com/tree-sitter/tree-sitter-json
%global commit   73076754005a460947cafe8e03a8cf5fa4fa2938
%forgemeta
%global libname  lib%{repo}
%global summary  JSON grammar for tree-sitter
%global desc     Add support for JSON to tree-sitter, an incremental parsing system for \
programming tools.


Name:           %{repo}
Version:        0.20.0
Release:        %autorelease -p
Summary:        %{summary}
License:        MIT
URL:            %{forgeurl}

Source:         %{forgesource}

# https://github.com/tree-sitter/tree-sitter-java/pull/155
Patch1:         0001-Prevent-mangled-URL-in-.pc-file.patch

BuildRequires:  gcc
BuildRequires:  libtree-sitter-devel
BuildRequires:  make

%description
%{desc}


%package -n %{libname}
Summary:        %{summary}
Requires:       libtree-sitter
Enhances:       libtree-sitter

%description -n %{libname}
%{desc}


%package -n %{libname}-devel
Summary:        Development files for %{libname}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description -n %{libname}-devel
Libraries and header files for developing applications that use
%{name}.


%prep
%forgeautosetup


%build
%make_build all


%install
%make_install PARSER_REPO_URL=%{forgeurl} \
              PREFIX=%{_prefix} INCLUDEDIR=%{_includedir} LIBDIR=%{_libdir}
find $RPM_BUILD_ROOT -name '*.a' -delete


%{?ldconfig_scriptlets}


%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/%{libname}.so.*

%files -n %{libname}-devel
%{_includedir}/*
%{_libdir}/%{libname}.so
%{_libdir}/pkgconfig/*.pc


%changelog
%autochangelog
